fmemcmpi(3)

NAME
fmemcmpi - fuzzy comparison of two memory areas

SYNOPSIS
#include <fstrcmp.h>

#define FSTRCMPI_IDENTICAL
#define FSTRCMPI_THRESHOLD
#define FSTRCMPI_ERROR

int
fmemcmpi(const void *data1, size_t size1, const void *data2, size_t size2);

DESCRIPTION
The fmemcmpi() function compares the two memory areas, the size1 bytes pointed to by data1 and the size2 bytes pointed to by data2.

RETURN VALUE
The fmemcmpi function returns an int value between 0 and FSTRCMPI_IDENTICAL. A value of 0 means the memory areas are utterly un-alike. A value of FSTRCMPI_IDENTICAL means the memory areas are identical. A value of more than FSTRCMPI_THRESHOLD (it lies between 0.0 and FSTRCMP_IDENTICAL) would be considered "similar" by most people.

A value of FSTRCMPI_ERROR (always negative) indicates a malloc(3) failure.

SEE ALSO

fmemcmp(3)
    fuzzy comparison of two memory areas

fstrcmpi(3)
    fuzzy comparison of two strings

memcmp(3)
    compare memory areas

COPYRIGHT
fstrcmp version 0.7
Copyright (C) 2009 Peter Miller
Peter Miller <pmiller@opensource.org.au>

The comparison code is derived from the fuzzy comparison functions in GNU Gettext 0.17. The GNU Gettext comparison functions were, in turn, derived from GNU Diff 2.7.

Copyright (C) 1988-2009 Free Software Foundation